#!/usr/local/bin/perl

#
# This script converts input files for Digger 1.0 to the
# format used in Digger version 2.0 and later.
#
# USAGE: v1tov2.pl [FILENAME]
#
# If no filename is given, the script reads from stdin.
#
# Patrik Faltstrom, March 1996
#
# Copyright Bunyip Information Systems, 1996
#

$record = 0;
while(<>) {
    if(/^Delete: (.+)$/i) {
	print "% 900 $1\n";
	next;
    }
    if(/^\s*$/) {
	if($record == 1) {
	    print "# END\n\n";
	    $record = 0;
	}
	next;
    }
    if(/^Template-Type: (.+)$/i) {
	$template_type = $1;
	$template_type =~ y/a-z/A-Z/;
	$record = 1;
	next;
    }
    if(/^Handle: (.+)$/i) {
	$handle = $1;
	$handle =~ y/a-z/A-Z/;
	print "# FULL $template_type LOCAL $handle\n";
	next;
    }
    if(/^(.+)$/i) {
	print " $1\n";
	next;
    }
}
if($record == 1) {
    print "# END\n\n";
}
